My issue is as follows:



1) When attempting to create a new issue in jira from a kayako ticket, the plugin pulls my project list from 

Jira. I can choose a project, category, etc. When I click Save in the dialog box, I get a red box in kayako that 

says, "Jira Error the issue linking was not successful."



The ticket does not get the Jira tab and it appears to not sync with Jira. However, if I check our Jira 

installation I can clearly see that the ticket has come in from Kayako with the next increment for an issue ID.



2) If I choose to link a ticket to an existing issue in Jira, after providing a correct Jira Issue Name, it will send 

the ticket over, and report a successful link. However, I still get no Jira tab in Kayako and the sync does not 

appear to work.



Attaching a screenshot of the error when trying to create a new issue for clarification.



Thank you.

History

02/21/2013 03:28 am - Nick Cobley

I'm seeing the exact same problem myself, I am seeing the link to the Jira issue at the top left of the ticket page however. I'm still testing, I'm unsure if 

it's syncing right now.



03/01/2013 06:15 am - Amarjeet Kaur

Hi Corey,  Nick,



Please make sure that you have enabled *'JIRA issue linking'*  under *Admin CP->settings->JIRA*



If this setting is not enabled, then ticket can't link with JIRA issue.



Please cross check your JIRA settings, and let us know if you still face the same issue.



Thank you,

Amarjeet Kaur

03/01/2013 06:59 am - Corey Spade

- File jira_issues.png added

Hello and thank you for your assistance on this matter! I have verified my settings and the Jira linking issue is enabled. (Attaching Screenshot of 

current settings in Kayako).



As stated, the issue appears in Jira but never links in Kayako and I receive the error in the first screenshot. Are there settings that need to be enabled 

in Jira to make this work?
Thank you for your help!

03/04/2013 06:38 am - Amarjeet Kaur

Hello Corey,



Kindly check my reply [[http://forge.kayako.com/issues/151#note-1]]



Please update the files attached there in your application at specified locations. 



Please make sure to take the backup of files before updating.



Hopefully, this will resolve this issue at your end.



Kindly let us know, if you need further assistance regarding this issue.



Thank you,

Amarjeet Kaur

03/04/2013 07:26 am - Corey Spade

Good morning,



I have updated the files with the files found in Issue #151 as linked. My problem persists, however.



My apologies for the inconvenience and thank you for the assistance.

03/22/2013 07:42 am - Nino Bergfeld

- File settings_jira_ii.JPG added

- File settings_jira.JPG added

Good afternoon from Germany,



we are facing a similar issue. We implemented the following sucessfully (beforehand we were facing issues that the custom security levels were not 

fetched from JIRA):

http://forge.kayako.com/issues/151#note-1



Now we have an issue that we see an error message containing "JIRA error Field `security`cannot be set. It is not on the appropriate screen, or 

unknown.". See also Settings attached.



On the contrary, linking an EXISTING JIRA issue to a Kayako Ticket works fine.



Please help as this stops our Kayako rollout

03/26/2013 06:05 am - Amarjeet Kaur

Hello Nino,



From the settings screenshot, am not able to reproduce this issue.



Can you please provide me the list of steps, you are following to replicate this issue?



If possible , Kindly attach the error screenshot too.



Thank you,

Amarjeet Kaur
11/12/2013 05:06 am - Amarjeet Kaur

- Status changed from New to Closed

Files

Jira_Issue.bmp 1.8 MB 15 Feb 2013 Corey Spade

jira_issues.png 35.5 kB 01 Mar 2013 Corey Spade

settings_jira_ii.JPG 86 kB 22 Mar 2013 Nino Bergfeld

settings_jira.JPG 83.2 kB 22 Mar 2013 Nino Bergfeld
